# Record TCefResponse

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefResponse = record`

## Description

Structure used to represent a web response. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefResponse.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_response_capi.h">CEF source file: /include/capi/cef_response_capi.h (cef_response_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `is_read_only: function(self: PCefResponse): Integer; stdcall;`
| `get_error: function(self: PCefResponse): TCefErrorCode; stdcall;`
| `set_error: procedure(self: PCefResponse; error: TCefErrorCode); stdcall;`
| `get_status: function(self: PCefResponse): Integer; stdcall;`
| `set_status: procedure(self: PCefResponse; status: Integer); stdcall;`
| `get_status_text: function(self: PCefResponse): PCefStringUserFree; stdcall;`
| `set_status_text: procedure(self: PCefResponse; const statusText: PCefString); stdcall;`
| `get_mime_type: function(self: PCefResponse): PCefStringUserFree; stdcall;`
| `set_mime_type: procedure(self: PCefResponse; const mimeType: PCefString); stdcall;`
| `get_charset: function(self: PCefResponse): PCefStringUserFree; stdcall;`
| `set_charset: procedure(self: PCefResponse; const charset: PCefString); stdcall;`
| `get_header_by_name: function(self: PCefResponse; const name: PCefString): PCefStringUserFree; stdcall;`
| `set_header_by_name: procedure(self: PCefResponse; const name: PCefString; const value: PCefString; overwrite: integer); stdcall;`
| `get_header_map: procedure(self: PCefResponse; headerMap: TCefStringMultimap); stdcall;`
| `set_header_map: procedure(self: PCefResponse; headerMap: TCefStringMultimap); stdcall;`
| `get_url: function(self: PCefResponse): PCefStringUserFree; stdcall;`
| `set_url: procedure(self: PCefResponse; const url: PCefString); stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `is_read_only: function(self: PCefResponse): Integer; stdcall;`
This item has no description.

| `get_error: function(self: PCefResponse): TCefErrorCode; stdcall;`
This item has no description.

| `set_error: procedure(self: PCefResponse; error: TCefErrorCode); stdcall;`
This item has no description.

| `get_status: function(self: PCefResponse): Integer; stdcall;`
This item has no description.

| `set_status: procedure(self: PCefResponse; status: Integer); stdcall;`
This item has no description.

| `get_status_text: function(self: PCefResponse): PCefStringUserFree; stdcall;`
This item has no description.

| `set_status_text: procedure(self: PCefResponse; const statusText: PCefString); stdcall;`
This item has no description.

| `get_mime_type: function(self: PCefResponse): PCefStringUserFree; stdcall;`
This item has no description.

| `set_mime_type: procedure(self: PCefResponse; const mimeType: PCefString); stdcall;`
This item has no description.

| `get_charset: function(self: PCefResponse): PCefStringUserFree; stdcall;`
This item has no description.

| `set_charset: procedure(self: PCefResponse; const charset: PCefString); stdcall;`
This item has no description.

| `get_header_by_name: function(self: PCefResponse; const name: PCefString): PCefStringUserFree; stdcall;`
This item has no description.

| `set_header_by_name: procedure(self: PCefResponse; const name: PCefString; const value: PCefString; overwrite: integer); stdcall;`
This item has no description.

| `get_header_map: procedure(self: PCefResponse; headerMap: TCefStringMultimap); stdcall;`
This item has no description.

| `set_header_map: procedure(self: PCefResponse; headerMap: TCefStringMultimap); stdcall;`
This item has no description.

| `get_url: function(self: PCefResponse): PCefStringUserFree; stdcall;`
This item has no description.

| `set_url: procedure(self: PCefResponse; const url: PCefString); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.